import React from "react";
export default (props) => {
  const listBox = [
    {
      id: 1,
      img: "https://qbitnetwork.com/_nuxt/img/005.001.e3cfeda.svg",
      label: "牌照监管",
      remake:
        "合规即服务，持有美国、香港等国家及地区金融牌照，严格遵守监管机构相关法律法规要求。",
    },
    {
      id: 2,
      img: "https://qbitnetwork.com/_nuxt/img/005.002.b81a265.svg",
      label: "资金安全",
      remake:
        "采取了严格的资金安全保障措施，金融解决方案获得合作银行与机构的合规检验与认可。",
    },
    {
      id: 3,
      img: "https://qbitnetwork.com/_nuxt/img/005.003.55a8f50.svg",
      label: "风控安全",
      remake:
        "实时监控交易，结合复杂的反洗钱监控算法及各类金融行业黑名单，为您的交易保驾护航。",
    },
    {
      id: 4,
      img: "https://qbitnetwork.com/_nuxt/img/005.004.576a014.svg",
      label: "隐私保护",
      remake:
        "构建完善的信息管理体系，所有数据均存放在有密码控制的服务器中，未经授权，绝不透露。",
    },
  ];
  return (
    <div className="initial_heart">
      <div className="initial_heart_important">您的每一笔钱，都很重要</div>
      <div style={{ height: "40px" }}></div>
      <div className="initial_heart_detail">
        自成立之初，Qbit趣比汇便以积极态度拥抱全球行业监管，保障您的资金安全。
      </div>
      <div style={{ height: "40px" }}></div>

      <div className="signal">
        <a
          href="JavaScript:;"
          style={{
            fontWeight: "600",
            fontSize: "18px",
          }}
        >
          Qbit趣比汇的安全性
        </a>
      </div>
      <div style={{ height: "40px" }}></div>
      <div className="box4">
        {listBox.map((x) => {
          return (
            <div key={x.id} className="box4Background">
              <div className="box4Detail">
                <img src={x.img} alt="" />
                <div style={{ height: "16px" }}></div>
                <div style={{fontWeight:"600",fontSize:"22px",color:"#FFF"}}>{x.label}</div>
                <div style={{ height: "12px" }}></div>
                <div style={{opacity:".8",fontSize:"22px",color:"#FFF"}}>{x.remake}</div>
              </div>
            </div>
          );
        })}
      </div>
    </div>
  );
};
