import Logo from "@/layouts/AuthLayout/components/Logo";
import { Layout, Space } from "antd";
import classNames from "classnames";
import React, { useMemo } from "react";
import Header from "./components/Header";

import "./index.less";
import Content from "./components/Content";
import Brand from "./components/Brand";
import Introduce from "./components/Introduce";
import ToIntroduce from "./components/ToIntroduce";
import DetailedPlan from "./components/DetailedPlan";
import InitialHeart from "./components/ToInitialHeart";
import ToInitialHeart from "./components/ToInitialHeart";
import ToSelect from "./components/ToSelectRegister";
import ToSelectRegister from "./components/ToSelectRegister";
import FooterPage from "./components/FooterPage";
export default (props) => {
  const theme = "light";
  return (
    <Layout
      className={theme}
      style={{
        backgroundColor: "#f0f8f8",
        fontFamily: "CN",
        overflow: "hidden",
      }}
    >
      <div className="marginAuto">
        <Header theme={theme} />
        <Content />
        <div style={{ height: "284px" }}> </div>
        <Brand />
        <div style={{ height: "200px" }}></div>
      </div>
      <ToIntroduce />
      <DetailedPlan />
      <div style={{ height: "200px" }}></div>
      <ToInitialHeart />
      <ToSelectRegister />

      <FooterPage />
    </Layout>
  );
};
