import request from "@/utils/request";

/*
 * 分页查询
 */
export const getFxTenant = (params) => request(`/fxTenant`, { params });

/*
 * 新增数据
 */
export const postFxTenant = (data) => request('/fxTenant', { data, method: 'post' });

/*
 * 更新数据
 */
export const putFxTenant = (id, data) => request(`/fxTenant/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteFxTenant = (id) => request(`/fxTenant/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getFxTenantId = (id) => request(`/fxTenant/${id}`);