import request from "@/utils/request";

/*
 * 分页查询
 */
export const getFxUser = (params) => request(`/fxUser`, { params });

/*
 * 新增数据
 */
export const postFxUser = (data) => request('fxUser', { data, method: 'post' });

/*
 * 更新数据
 */
export const putFxUser = (id, data) => request(`/fxUser/${id}`, { data, method: 'put' });

/*
 * 通过主键删除数据
 */
export const deleteFxUser = (id) => request(`/fxUser/${id}`, { method: 'delete' });

/*
 * 通过ID查询单条数据
 */
export const getFxUserId = (id) => request(`/fxUser/${id}`);



/**
 * 更新 fxUser和fxLogin  用户信息
 */

export const putFxUserAndLogin = (id, data) => request(`/fxUserLogin/${id}`, { data, method: 'put'})


/**
 * 新增fxUser和fxLogin  用户信息
 */
export const postFxUserAndLogin = (data) => request('/fxUserLogin', { data, method: 'post' });




/*
 * 通过主键删除 fxUser和fxLogin  

 */
export const deleteFxUserAndLogin = (id) => request(`/fxUserLogin/${id}`, { method: 'delete' });
