import { Select } from "antd";
import React, { useMemo } from "react";
import { useModel } from "@/store";
export default (props) => {
  const { style } = props;

  const styles = useMemo(() => {
    return { ...style, width: 120 };
  }, []);
  console.log(styles)
  const { lang } = useModel("language");
  const language = [
    { label: "中文简体", value: "zh-CN" },
    { label: "中文繁体", value: "zh-Tw" },
    { label: "英文", value: "en-Us" },
  ];
  return <Select defaultValue={lang} style={styles} options={language} />;
};
