import Language from "@/layouts/AuthLayout/components/Header/Language";
import { Select } from "antd";
import React from "react";
export default (props) => {
  const imgList = [
    "https://qbitnetwork.com/_nuxt/img/004.001.ee7377e.svg",
    "https://qbitnetwork.com/_nuxt/img/004.001.ee7377e.svg",
    "https://qbitnetwork.com/_nuxt/img/004.001.ee7377e.svg",
    "https://qbitnetwork.com/_nuxt/img/004.001.ee7377e.svg",
    "https://qbitnetwork.com/_nuxt/img/004.001.ee7377e.svg",
    "https://qbitnetwork.com/_nuxt/img/004.001.ee7377e.svg",
    "https://qbitnetwork.com/_nuxt/img/004.001.ee7377e.svg",
  ];
  return (
    <div className="footer">
      <div className="preparation">
        <div className="marginAuto service">
          <a href="JavaScript:;" target="_self">
            <div>
              {" "}
              <img
                src="https://qbitnetwork.com/_nuxt/img/logo.dark.bbd2103.svg"
                alt=""
              />
            </div>
          </a>
          <div style={{ height: "40px" }}></div>
          <div className="columns">
            <div>
              <div className="columns_text">准备好开始了吗</div>
              <div style={{ height: "26px" }}></div>
              <div className="flicker flickers">
                <span>立即注册</span>
              </div>
              <div style={{ height: "104px" }}></div>
              <div style={{ display: "flex", alignItems: "center" }}>
                <Language style={{ backGroundColor: "rgba(0,0,0,0)" }} />
                <div style={{ width: "16px" }}></div>
                <div style={{ display: "flex", gap: "8px" }}>
                  {imgList.map((it, index) => {
                    return (
                      <span key={index} style={{ cursor: "pointer" }}>
                        <img src={it} alt="" srcset="" />
                      </span>
                    );
                  })}
                </div>
              </div>
            </div>
            <div style={{ marginRight: "auto" }}></div>
            <div style={{ columnGap: "80px", display: "flex" }}>
              <div>
                <div className="about">产品服务</div>
                <div style={{ height: "28px" }}></div>
                <div style={{ display: "grid", gap: "20px" }}>
                  <a className="about_a" href="JavaScript:;">
                    全球收款
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    量子卡
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    国际付款
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    供应链金融
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    公司注册
                  </a>
                </div>
              </div>
              <div>
                <div className="about">API对接</div>
                <div style={{ height: "28px" }}></div>
                <div style={{ display: "grid", gap: "20px" }}>
                  <a className="about_a" href="JavaScript:;">
                    BaaS
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    CaaS
                  </a>
                </div>
              </div>
              <div>
                <div className="about">开发者文档</div>
                <div style={{ height: "28px" }}></div>
                <div style={{ display: "grid", gap: "20px" }}>
                  <a className="about_a" href="JavaScript:;">
                    产品文档
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    API技术文档
                  </a>
                </div>
              </div>
              <div>
                <div className="about">资源</div>
                <div style={{ height: "28px" }}></div>
                <div style={{ display: "grid", gap: "20px" }}>
                  <a className="about_a" href="JavaScript:;">
                    新闻资讯
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    生态合作
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    帮助中心
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    条款&政策
                  </a>
                </div>
              </div>
              <div>
                <div className="about">关于我们</div>
                <div style={{ height: "28px" }}></div>
                <div style={{ display: "grid", gap: "20px" }}>
                  <a className="about_a" href="JavaScript:;">
                    了解Qbit
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    安全合规
                  </a>
                  <a className="about_a" href="JavaScript:;">
                    联系我们
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      {/* footer- */}
      <div className="footer_down">
        <div className="footer_report">
          <a href="JavaScript:;">浙ICP备19050323号-1</a>&nbsp;
          <a href="JavaScript:;">浙公网安备33010402004040号</a>
          <br />
          Copyright © AILINGUAL LIMITED. All rights reserved.
        </div>
      </div>
    </div>
  );
};
